<template>
    <div class="examples-wrapper">
        <BaseInputComponent
          place-holder="Email или номер телефона"
          :inputWidth="'20%'"
          :params="{ type: 'text', required: false }"
          :inputId="'input'"
          v-model:inputValue="inputValue"
        />
        <BaseSelectComponent
         v-model:selectSelectedValue="selectSelectedValue"
         :select-width="'15rem'"
         :select-options="dropContent"
         :select-options-height="'5rem'"
         :dropdown-position="{ right: '-14%', top: '10%' }"
        />
        <div class="dropdown">
            <BaseButtonComponent
             btnTxt="dropdown"
             txtColor="#6D6E6F"
             bgColor="#F3F4F6"
             @click="showDropDown"
            />
            <BaseDropdownComponent
             v-model:dropDownIsVisible="dropDownIsVisible"
             :dropdown-width="'10rem'"
             :arrow="{ right: '20px', show: true }"
             :dropdown-position="{ right: '-30%', top: '46%' }"
            >
                <template v-slot:drop_content>
                    <ul class="dropdown-content" :style="{ height: '5rem' }">
                        <li
                        ref="dropdownItem"
                        class="dropdown-item"
                        :class="{ selected: optionIndex === index }"
                        v-for="(item, index) in dropContent"
                        :key="index"
                        @click="selectValue(item)"
                        >
                            {{ item }}
                        </li>
                    </ul>
                </template>
            </BaseDropdownComponent>
        </div>
        <BaseButtonComponent
         btnTxt="Открыть"
         txtColor="#6D6E6F"
         bgColor="#F3F4F6"
         @click="openModalWindow"
        />
    </div>
    <Teleport to="body">
    <BaseModalWindowComponent
      v-model:windowIsOPen="windowIsOPen"
      :closeIsImposible="false"
      :modal-header="'Заголовок модального окна'"
      :modal-width="'40vw'"
    >
      <template v-slot:content>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit.
             Soluta iusto delectus voluptatibus praesentium consequatur unde. Laudantium, id asperiores. A, expedita?
        </p>
      </template>
      <template v-slot:footer>
      </template>
    </BaseModalWindowComponent>
  </Teleport>
</template>

<script setup>
const inputValue = ref("");
const selectSelectedValue = ref("");
const dropContent = ["content-1", "content-2", "content-3", "content-4"];
const optionIndex = ref(0);
const dropdownSelectedValue = ref("");
const dropDownIsVisible = ref(false);
const windowIsOPen = ref(false);

const showDropDown = () => {
  dropDownIsVisible.value = !dropDownIsVisible.value;
};
const selectValue = (item) => {
  dropdownSelectedValue.value = item;
  dropDownIsVisible.value = false;
};
const openModalWindow = () => {
  windowIsOPen.value = true;
};
</script>

<style lang="sass" scoped>
@import '/assets/styles/default.sass'
@import '/assets/styles/_variables.sass'
.examples
    &-wrapper
        display: flex
        align-items: center
        justify-content: space-evenly
        padding: .5rem
        gap: .5rem
.dropdown
  position: relative
  &-content
        margin: 0
        width: 100%
        height: 5rem
        position: relative
        z-index: 9
        background: $white
        overflow-x: auto
        scroll-behavior: smooth
        scrollbar-color: $lightgrey transparent
        scrollbar-width: 8px
        &::-webkit-scrollbar
            background-color:  transparent
            width: 6px
        &::-webkit-scrollbar-thumb
            border-radius: 4px
            min-height: 40px
            background-color: $lightgrey
            border: 1px solid $darkgrey
  &-item
        list-style: none
        margin: .25rem 0
        text-align: center
        &:hover
            cursor: pointer
            background: $lightgrey
.nuxt-icon
    svg
        width: 1.5rem
</style>